# find students who haven't taken a test or quiz

SELECT
	student.name, student.student_id,
    event.date, event.event_id, event.type
FROM
	student, event
    LEFT JOIN score ON student.student_id = score.student_id
                    AND event.event_id = score.event_id
WHERE
	score.score IS NULL
ORDER BY
	student.student_id, event.event_id
;
