#! /bin/sh

# init_all_tables.sh - create and load the sampdb tables

# Usage:
# sh init_all_tables.sh [options] db_name

# options may be connection parameters if you need to specify them:
# sh init_all_tables.sh -p -u sampadm

if [ $# -eq 0 ]; then
	echo "Usage: init_all_tables.sh [options] db_name" 1>&2
	exit 1
fi

files=" 
create_absence.sql insert_absence.sql
create_event.sql insert_event.sql
create_member.sql insert_member.sql
create_president.sql insert_president.sql
create_score.sql insert_score.sql
create_student.sql insert_student.sql
"

cat $files | mysql $*
