#! /usr/bin/perl -w
# count_members.pl - display count of Historical League membership

use strict;
use DBI;

my $dsn = "DBI:mysql:sampdb:cobra.snake.net";	# data source name
my $user_name = "sampadm";						# user name
my $password = "secret";						# password

# connect to database
my $dbh = DBI->connect ($dsn, $user_name, $password,
						{ RaiseError => 1, PrintError => 0 });

#@ _PROCESS_QUERY_
# issue query
my $sth = $dbh->prepare ("SELECT COUNT(*) FROM member");
$sth->execute ();

# read results of query
my $count = $sth->fetchrow_array ();
$sth->finish ();
$count = "can't tell" if !defined ($count);
print "$count\n";
#@ _PROCESS_QUERY_

$dbh->disconnect ();
exit (0);
